Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "LaserAmmoConversion_UpdateStats", function(self, disallow_replenish, ammo_data)
	if self._muzzle_effect == Idstring("effects/laser_fire") then
		self._trail_effect_table = {
			effect = Idstring("effects/payday2/particles/weapons/shells/shell_empty"),
			position = Vector3(),
			normal = Vector3()
		}
		self._use_shell_ejection_effect = false
	end
end)

LaserConversionAmmoBase = LaserConversionAmmoBase or class(InstantBulletBase)

function LaserConversionAmmoBase:play_impact_sound_and_effects(weapon_unit, col_ray)
	managers.game_play_central:play_impact_sound_and_effects({
		no_decal = true,
		no_sound = true,
		col_ray = col_ray,
		effect = Idstring("effects/laser_impact")
	})
end